Module java.desktop
Package javax.swing.plaf.metal

## Class MetalScrollPaneUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ScrollPaneUI
    - - javax.swing.plaf.basic.BasicScrollPaneUI
      - - javax.swing.plaf.metal.MetalScrollPaneUI

All Implemented Interfaces:
  `ScrollPaneConstants`

    public class MetalScrollPaneUI
    extends BasicScrollPaneUI

A Metal L&F implementation of ScrollPaneUI.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

### Nested Class Summary

### Nested classes/interfaces declared in class javax.swing.plaf.basic.BasicScrollPaneUI

`BasicScrollPaneUI.HSBChangeListener, BasicScrollPaneUI.MouseWheelHandler, BasicScrollPaneUI.PropertyChangeHandler, BasicScrollPaneUI.ViewportChangeHandler, BasicScrollPaneUI.VSBChangeListener`

### Field Summary

### Fields declared in class javax.swing.plaf.basic.BasicScrollPaneUI

`hsbChangeListener, scrollpane, spPropertyChangeListener, viewportChangeListener, vsbChangeListener`

### Fields declared in interface javax.swing.ScrollPaneConstants

`COLUMN_HEADER, HORIZONTAL_SCROLLBAR, HORIZONTAL_SCROLLBAR_ALWAYS, HORIZONTAL_SCROLLBAR_AS_NEEDED, HORIZONTAL_SCROLLBAR_NEVER, HORIZONTAL_SCROLLBAR_POLICY, LOWER_LEADING_CORNER, LOWER_LEFT_CORNER, LOWER_RIGHT_CORNER, LOWER_TRAILING_CORNER, ROW_HEADER, UPPER_LEADING_CORNER, UPPER_LEFT_CORNER, UPPER_RIGHT_CORNER, UPPER_TRAILING_CORNER, VERTICAL_SCROLLBAR, VERTICAL_SCROLLBAR_ALWAYS, VERTICAL_SCROLLBAR_AS_NEEDED, VERTICAL_SCROLLBAR_NEVER, VERTICAL_SCROLLBAR_POLICY, VIEWPORT`

### Constructor Summary

Constructors
`MetalScrollPaneUI()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`protected PropertyChangeListener` `createScrollBarSwapListener()` Returns a new `PropertyChangeListener` for scroll bar swap events.
`static ComponentUI` `createUI​(JComponent x)` Constructs a new `MetalScrollPaneUI`.
`void` `uninstallListeners​(JScrollPane scrollPane)` Deprecated. - Replaced by `BasicScrollPaneUI.uninstallListeners(JComponent)`

### Methods declared in class javax.swing.plaf.basic.BasicScrollPaneUI

`createHSBChangeListener, createMouseWheelListener, createPropertyChangeListener, createViewportChangeListener, createVSBChangeListener, getBaseline, getBaselineResizeBehavior, getMaximumSize, installDefaults, installKeyboardActions, installListeners, syncScrollPaneWithViewport, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, updateColumnHeader, updateRowHeader, updateScrollBarDisplayPolicy, updateViewport`

### Methods declared in class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetalScrollPaneUI

    public MetalScrollPaneUI()

### Method Detail

#### createUI

    public static ComponentUI createUI​(JComponent x)

Constructs a new `MetalScrollPaneUI`.

Parameters:
  `x` - a component
Returns:
  a new `MetalScrollPaneUI`

#### uninstallListeners

    @Deprecated
    public void uninstallListeners​(JScrollPane scrollPane)

Deprecated.
- Replaced by `BasicScrollPaneUI.uninstallListeners(JComponent)`

Parameters:
  `scrollPane` - an instance of the `JScrollPane`

#### createScrollBarSwapListener

    protected PropertyChangeListener createScrollBarSwapListener()

Returns a new `PropertyChangeListener` for scroll bar swap events.

Returns:
  a new `PropertyChangeListener` for scroll bar swap events.